So I figured out the issue is with SDL framework 2.0.8 which was recently updated.

Went back and replaced SDL framework with 2.0.7 from last year and was able to compile successfully.

Is there a bug with the updated frameworks or does MAME source for SDL need to be updated ?

Just thought I'd share. Thanks!


=will=